All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class provides Binary Compatibility only, not Source Compatibility ***

## com.sas.iom.orb
Class EventUtil

    com.sas.iom.orb.EventUtil

    public class EventUtil

Utilities for IOM objects that produce or consume events.

Method Summary
`static int` | `advise(org.omg.CORBA.Object source, java.lang.String id, org.omg.PortableServer.DynamicImplementation listener)` Advise an event source of your interest in its events.
`static int` | `advise(org.omg.CORBA.Object source, java.lang.String id, org.omg.PortableServer.DynamicImplementation listener, int[][] policyValues)`
`static void` | `unadvise(org.omg.CORBA.Object source, java.lang.String id, int handle)` Notify an event source that you are no longer interested in its events.

Method Detail

### advise

    public static int advise(org.omg.CORBA.Object source,
                             java.lang.String id,
                             org.omg.PortableServer.DynamicImplementation listener)

  Advise an event source of your interest in its events. This example shows how to advise a `com.sas.iom.SAS.ILanguageService` object of interest in `com.sas.iom.SASEvents.ILanguageEvents` events.

       ILanguageServices iLang = iWork.LanguageService();
       String eventID = ILanguageEventsHelper.id();
       ILanguageEventsOperations eventOps = // user's event listener implementation
       ILanguageEventsPOATie eventServant = new ILanguageEventsPOATie(eventOps);
       int handle = EventUtil.advise(iLang,eventID,eventServant);
       // eventOps can now received events from iLang
       EventUtil.unadvise(iLang,eventID,handle);
       // eventOps no longer can receive events from iLang

  Parameters:
    `source` - a reference to the object that produces events
    `id` - the ID of the event interface
    `listener` - event listener servant
  Returns:
    the event registration handle

### advise

    public static int advise(org.omg.CORBA.Object source,
                             java.lang.String id,
                             org.omg.PortableServer.DynamicImplementation listener,
                             int[][] policyValues)

### unadvise

    public static void unadvise(org.omg.CORBA.Object source,
                                java.lang.String id,
                                int handle)

  Notify an event source that you are no longer interested in its events.

  Parameters:
    `source` - a reference to the object that produces events
    `id` - the ID of the event interface
    `handle` - the event registration handle returned by `advise()`

*** This class provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.